/* DrawingViewWraps.c generated from DrawingViewWraps.psw
   by unix pswrap V1.009  Wed Apr 19 17:50:24 PDT 1989
 */

#include <dpsclient/dpsfriends.h>
#include <string.h>

#line 1 "DrawingViewWraps.psw"

/*
 * (a)  (C) 1990 by Adobe Systems Incorporated. All rights reserved.
 *
 * (b)  If this Sample Code is distributed as part of the Display PostScript
 *	System Software Development Kit from Adobe Systems Incorporated,
 *	then this copy is designated as Development Software and its use is
 *	subject to the terms of the License Agreement attached to such Kit.
 *
 * (c)  If this Sample Code is distributed independently, then the following
 *	terms apply:
 *
 * (d)  This file may be freely copied and redistributed as long as:
 *	1) Parts (a), (d), (e) and (f) continue to be included in the file,
 *	2) If the file has been modified in any way, a notice of such
 *      modification is conspicuously indicated.
 *
 * (e)  PostScript, Display PostScript, and Adobe are registered trademarks of
 *	Adobe Systems Incorporated.
 * 
 * (f) THE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO
 *	CHANGE WITHOUT NOTICE, AND SHOULD NOT BE CONSTRUED
 *	AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED.
 *	ADOBE SYSTEMS INCORPORATED ASSUMES NO RESPONSIBILITY
 *	OR LIABILITY FOR ANY ERRORS OR INACCURACIES, MAKES NO
 *	WARRANTY OF ANY KIND (EXPRESS, IMPLIED OR STATUTORY)
 *	WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY
 *	DISCLAIMS ANY AND ALL WARRANTIES OF MERCHANTABILITY, 
 *	FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT
 *	OF THIRD PARTY RIGHTS.
 */

/*
 *	DrawingViewWraps.psw
 *
 *	Version:	2.0
 *	Author:	Ken Fromm
 *	History:
 *			03-07-91		Added this comment.
 */
#line 50 "DrawingViewWraps.c"
void PSWStrokeX(float LLX, float LLY, float URX, float URY)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjReal obj3;
    DPSBinObjReal obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjReal obj6;
    DPSBinObjReal obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjReal obj9;
    DPSBinObjReal obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 13, 108,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LLX */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LLY */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: URX */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: URY */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LLX */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: URY */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: URX */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: LLY */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 99},	/* lineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal =
  _dpsP[6].val.realVal = LLX;
  _dpsP[1].val.realVal =
  _dpsP[10].val.realVal = LLY;
  _dpsP[3].val.realVal =
  _dpsP[9].val.realVal = URX;
  _dpsP[4].val.realVal =
  _dpsP[7].val.realVal = URY;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,108);
}
#line 45 "DrawingViewWraps.psw"

#line 105 "DrawingViewWraps.c"
void PSWTranslateRotate(float X, float Y, float Angle)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjReal obj3;
    DPSBinObjGeneric obj4;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 5, 44,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 173},	/* translate */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Angle */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 136},	/* rotate */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal = X;
  _dpsP[1].val.realVal = Y;
  _dpsP[3].val.realVal = Angle;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,44);
}
#line 49 "DrawingViewWraps.psw"

#line 139 "DrawingViewWraps.c"
void PSWSetLine(float Width, float Gray)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char topLevelCount;
    unsigned short nBytes;

    DPSBinObjReal obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjReal obj2;
    DPSBinObjGeneric obj3;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 4, 36,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Width */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Gray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal = Width;
  _dpsP[2].val.realVal = Gray;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,36);
}
#line 53 "DrawingViewWraps.psw"

#line 170 "DrawingViewWraps.c"
void PSWSetControlPoints(char *Font, float FontSize, float FontGray, float FontWidth)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char sizeFlag;
    unsigned short topLevelCount;
    unsigned long nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjReal obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjReal obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjReal obj5;
    DPSBinObjGeneric obj6;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 0, 7, 64,
    {DPS_LITERAL|DPS_NAME, 0, 0, 56},	/* param Font */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: FontSize */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 142},	/* selectfont */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: FontGray */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 150},	/* setgray */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: FontWidth */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 155},	/* setlinewidth */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  register int _dps_offset = 56;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].length = strlen(Font);
  _dpsP[1].val.realVal = FontSize;
  _dpsP[3].val.realVal = FontGray;
  _dpsP[5].val.realVal = FontWidth;
  _dpsP[0].val.stringVal = _dps_offset;
  _dps_offset += (_dpsP[0].length + 3) & ~3;

  _dpsF.nBytes = _dps_offset+8;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,64);
  DPSWriteStringChars(_dpsCurCtxt, (char *)Font, _dpsP[0].length);
  DPSWriteStringChars(_dpsCurCtxt, (char *)_dpsCurCtxt, ~(_dpsP[0].length + 3) & 3);
}
#line 57 "DrawingViewWraps.psw"

#line 217 "DrawingViewWraps.c"
void PSWDrawControlPoints(float X, float Y, float Pts[], int Tot_Pts, char *Chs)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char sizeFlag;
    unsigned short topLevelCount;
    unsigned long nBytes;

    DPSBinObjReal obj0;
    DPSBinObjReal obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 0, 6, 56,
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: X */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0},	/* param: Y */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_STRING, 0, 0, 48},	/* param Chs */
    {DPS_LITERAL|DPS_ARRAY, 0, 0, 48},	/* param[var]: Pts */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 195},	/* xyshow */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  register int _dps_offset = 48;
  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[0].val.realVal = X;
  _dpsP[1].val.realVal = Y;
  _dpsP[4].length = Tot_Pts;
  _dpsP[3].length = strlen(Chs);
  _dpsP[4].val.arrayVal = _dps_offset;
  _dps_offset += Tot_Pts * sizeof(DPSBinObjGeneric);
  _dpsP[3].val.stringVal = _dps_offset;
  _dps_offset += (_dpsP[3].length + 3) & ~3;

  _dpsF.nBytes = _dps_offset+8;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,56);
  DPSWriteTypedObjectArray(_dpsCurCtxt, dps_tFloat, (char *)Pts, Tot_Pts);
  DPSWriteStringChars(_dpsCurCtxt, (char *)Chs, _dpsP[3].length);
  DPSWriteStringChars(_dpsCurCtxt, (char *)_dpsCurCtxt, ~(_dpsP[3].length + 3) & 3);
}
#line 61 "DrawingViewWraps.psw"


/*
*  The sa and rsa procedures ensure that the first character is drawn correctly
*  with respect to device space. It's not so much an issue with square 
*  images but can be quite significant with other shapes.
*/
#line 271 "DrawingViewWraps.c"
void PSWDefineFont(char *fontname)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char sizeFlag;
    unsigned short topLevelCount;
    unsigned long nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    DPSBinObjGeneric obj13;
    DPSBinObjGeneric obj14;
    DPSBinObjGeneric obj15;
    DPSBinObjGeneric obj16;
    DPSBinObjGeneric obj17;
    DPSBinObjGeneric obj18;
    DPSBinObjGeneric obj19;
    DPSBinObjGeneric obj20;
    DPSBinObjGeneric obj21;
    DPSBinObjGeneric obj22;
    DPSBinObjGeneric obj23;
    DPSBinObjGeneric obj24;
    DPSBinObjGeneric obj25;
    DPSBinObjGeneric obj26;
    DPSBinObjGeneric obj27;
    DPSBinObjGeneric obj28;
    DPSBinObjGeneric obj29;
    DPSBinObjGeneric obj30;
    DPSBinObjGeneric obj31;
    DPSBinObjGeneric obj32;
    DPSBinObjGeneric obj33;
    DPSBinObjGeneric obj34;
    DPSBinObjGeneric obj35;
    DPSBinObjGeneric obj36;
    DPSBinObjGeneric obj37;
    DPSBinObjGeneric obj38;
    DPSBinObjGeneric obj39;
    DPSBinObjGeneric obj40;
    DPSBinObjGeneric obj41;
    DPSBinObjGeneric obj42;
    DPSBinObjGeneric obj43;
    DPSBinObjGeneric obj44;
    DPSBinObjGeneric obj45;
    DPSBinObjGeneric obj46;
    DPSBinObjGeneric obj47;
    DPSBinObjGeneric obj48;
    DPSBinObjGeneric obj49;
    DPSBinObjGeneric obj50;
    DPSBinObjGeneric obj51;
    DPSBinObjGeneric obj52;
    DPSBinObjGeneric obj53;
    DPSBinObjGeneric obj54;
    DPSBinObjGeneric obj55;
    DPSBinObjGeneric obj56;
    DPSBinObjGeneric obj57;
    DPSBinObjGeneric obj58;
    DPSBinObjGeneric obj59;
    DPSBinObjGeneric obj60;
    DPSBinObjGeneric obj61;
    DPSBinObjGeneric obj62;
    DPSBinObjGeneric obj63;
    DPSBinObjGeneric obj64;
    DPSBinObjGeneric obj65;
    DPSBinObjGeneric obj66;
    DPSBinObjGeneric obj67;
    DPSBinObjGeneric obj68;
    DPSBinObjGeneric obj69;
    DPSBinObjGeneric obj70;
    DPSBinObjGeneric obj71;
    DPSBinObjGeneric obj72;
    DPSBinObjGeneric obj73;
    DPSBinObjGeneric obj74;
    DPSBinObjGeneric obj75;
    DPSBinObjGeneric obj76;
    DPSBinObjGeneric obj77;
    DPSBinObjGeneric obj78;
    DPSBinObjGeneric obj79;
    DPSBinObjGeneric obj80;
    DPSBinObjGeneric obj81;
    DPSBinObjGeneric obj82;
    DPSBinObjGeneric obj83;
    DPSBinObjGeneric obj84;
    DPSBinObjGeneric obj85;
    DPSBinObjGeneric obj86;
    DPSBinObjGeneric obj87;
    DPSBinObjGeneric obj88;
    DPSBinObjGeneric obj89;
    DPSBinObjGeneric obj90;
    DPSBinObjGeneric obj91;
    DPSBinObjGeneric obj92;
    DPSBinObjGeneric obj93;
    DPSBinObjGeneric obj94;
    DPSBinObjGeneric obj95;
    DPSBinObjGeneric obj96;
    DPSBinObjGeneric obj97;
    DPSBinObjGeneric obj98;
    DPSBinObjGeneric obj99;
    DPSBinObjGeneric obj100;
    DPSBinObjGeneric obj101;
    DPSBinObjGeneric obj102;
    DPSBinObjGeneric obj103;
    DPSBinObjGeneric obj104;
    DPSBinObjGeneric obj105;
    DPSBinObjGeneric obj106;
    DPSBinObjGeneric obj107;
    DPSBinObjGeneric obj108;
    DPSBinObjGeneric obj109;
    DPSBinObjGeneric obj110;
    DPSBinObjGeneric obj111;
    DPSBinObjGeneric obj112;
    DPSBinObjGeneric obj113;
    DPSBinObjGeneric obj114;
    DPSBinObjGeneric obj115;
    DPSBinObjGeneric obj116;
    DPSBinObjGeneric obj117;
    DPSBinObjGeneric obj118;
    DPSBinObjGeneric obj119;
    DPSBinObjGeneric obj120;
    DPSBinObjGeneric obj121;
    DPSBinObjGeneric obj122;
    DPSBinObjGeneric obj123;
    DPSBinObjGeneric obj124;
    DPSBinObjGeneric obj125;
    DPSBinObjGeneric obj126;
    DPSBinObjGeneric obj127;
    DPSBinObjGeneric obj128;
    DPSBinObjGeneric obj129;
    DPSBinObjGeneric obj130;
    DPSBinObjGeneric obj131;
    DPSBinObjGeneric obj132;
    DPSBinObjGeneric obj133;
    DPSBinObjGeneric obj134;
    DPSBinObjGeneric obj135;
    DPSBinObjGeneric obj136;
    DPSBinObjGeneric obj137;
    DPSBinObjGeneric obj138;
    DPSBinObjGeneric obj139;
    DPSBinObjGeneric obj140;
    DPSBinObjGeneric obj141;
    DPSBinObjGeneric obj142;
    DPSBinObjGeneric obj143;
    DPSBinObjGeneric obj144;
    DPSBinObjGeneric obj145;
    DPSBinObjGeneric obj146;
    DPSBinObjGeneric obj147;
    DPSBinObjGeneric obj148;
    DPSBinObjGeneric obj149;
    DPSBinObjGeneric obj150;
    DPSBinObjGeneric obj151;
    DPSBinObjGeneric obj152;
    DPSBinObjGeneric obj153;
    DPSBinObjGeneric obj154;
    DPSBinObjGeneric obj155;
    DPSBinObjGeneric obj156;
    DPSBinObjGeneric obj157;
    DPSBinObjGeneric obj158;
    DPSBinObjGeneric obj159;
    DPSBinObjGeneric obj160;
    DPSBinObjGeneric obj161;
    DPSBinObjGeneric obj162;
    DPSBinObjGeneric obj163;
    DPSBinObjGeneric obj164;
    DPSBinObjGeneric obj165;
    DPSBinObjGeneric obj166;
    DPSBinObjGeneric obj167;
    DPSBinObjGeneric obj168;
    DPSBinObjGeneric obj169;
    DPSBinObjGeneric obj170;
    DPSBinObjGeneric obj171;
    DPSBinObjGeneric obj172;
    DPSBinObjGeneric obj173;
    DPSBinObjGeneric obj174;
    DPSBinObjGeneric obj175;
    DPSBinObjGeneric obj176;
    DPSBinObjGeneric obj177;
    DPSBinObjGeneric obj178;
    DPSBinObjGeneric obj179;
    DPSBinObjGeneric obj180;
    DPSBinObjGeneric obj181;
    DPSBinObjGeneric obj182;
    DPSBinObjGeneric obj183;
    DPSBinObjGeneric obj184;
    DPSBinObjGeneric obj185;
    DPSBinObjGeneric obj186;
    DPSBinObjGeneric obj187;
    DPSBinObjGeneric obj188;
    DPSBinObjGeneric obj189;
    DPSBinObjGeneric obj190;
    DPSBinObjGeneric obj191;
    DPSBinObjGeneric obj192;
    DPSBinObjGeneric obj193;
    DPSBinObjGeneric obj194;
    DPSBinObjGeneric obj195;
    DPSBinObjGeneric obj196;
    DPSBinObjGeneric obj197;
    DPSBinObjGeneric obj198;
    DPSBinObjGeneric obj199;
    DPSBinObjReal obj200;
    DPSBinObjGeneric obj201;
    DPSBinObjGeneric obj202;
    DPSBinObjReal obj203;
    DPSBinObjGeneric obj204;
    DPSBinObjGeneric obj205;
    DPSBinObjGeneric obj206;
    DPSBinObjGeneric obj207;
    DPSBinObjGeneric obj208;
    DPSBinObjGeneric obj209;
    DPSBinObjGeneric obj210;
    DPSBinObjGeneric obj211;
    DPSBinObjGeneric obj212;
    DPSBinObjReal obj213;
    DPSBinObjGeneric obj214;
    DPSBinObjGeneric obj215;
    DPSBinObjReal obj216;
    DPSBinObjGeneric obj217;
    DPSBinObjGeneric obj218;
    DPSBinObjReal obj219;
    DPSBinObjGeneric obj220;
    DPSBinObjGeneric obj221;
    DPSBinObjReal obj222;
    DPSBinObjGeneric obj223;
    DPSBinObjGeneric obj224;
    DPSBinObjGeneric obj225;
    char obj226[1];
    char obj227[1];
    char obj228[1];
    char obj229[1];
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 0, 87, 1820,
    {DPS_LITERAL|DPS_INT, 0, 0, 10},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 53},	/* dict */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 13},	/* begin */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_ARRAY, 0, 14, 1696},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_ARRAY, 0, 6, 1648},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 14},	/* bind */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* FontName */
    {DPS_LITERAL|DPS_NAME, 0, 0, 1812},	/* param fontname */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* FontType */
    {DPS_LITERAL|DPS_INT, 0, 0, 3},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* FontMatrix */
    {DPS_LITERAL|DPS_ARRAY, 0, 6, 1600},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* FontBBox */
    {DPS_LITERAL|DPS_ARRAY, 0, 4, 1568},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* Encoding */
    {DPS_LITERAL|DPS_INT, 0, 0, 256},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 9},	/* array */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_LITERAL|DPS_INT, 0, 0, 255},
    {DPS_EXEC|DPS_ARRAY, 0, 4, 1536},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 72},	/* for */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* Encoding */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_LITERAL|DPS_STRING, 0, 1, 1811},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* Rectfill */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 120},	/* put */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_LITERAL|DPS_STRING, 0, 1, 1810},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* Rectopen */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 120},	/* put */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_LITERAL|DPS_STRING, 0, 1, 1809},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* CrossOut */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 120},	/* put */
    {DPS_LITERAL|DPS_STRING, 0, 1, 1808},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* CrossIn */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 120},	/* put */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* CharProcs */
    {DPS_LITERAL|DPS_INT, 0, 0, 5},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 53},	/* dict */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* CharProcs */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 13},	/* begin */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* .notdef */
    {DPS_EXEC|DPS_ARRAY, 0, 0, 1536},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* Rectfill */
    {DPS_EXEC|DPS_ARRAY, 0, 18, 1392},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* Rectopen */
    {DPS_EXEC|DPS_ARRAY, 0, 18, 1248},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* CrossOut */
    {DPS_EXEC|DPS_ARRAY, 0, 35, 968},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* CrossIn */
    {DPS_EXEC|DPS_ARRAY, 0, 17, 832},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 57},	/* end */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* BuildChar */
    {DPS_EXEC|DPS_ARRAY, 0, 17, 696},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 57},	/* end */
    {DPS_LITERAL|DPS_NAME, 0, 0, 1812},	/* param fontname */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 290},	/* definefont */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 117},	/* pop */
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -500},
    {DPS_LITERAL|DPS_INT, 0, 0, -500},
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 144},	/* setcachedevice */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 13},	/* begin */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* Encoding */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* CharProcs */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 63},	/* exec */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 57},	/* end */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -1000},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, -500},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 1000},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    {DPS_LITERAL|DPS_INT, 0, 0, 100},
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -1200},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, -200},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 1200},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 22},	/* closepath */
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_LITERAL|DPS_INT, 0, 0, 100},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -200},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, -1200},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 200},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 22},	/* closepath */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 66},	/* fill */
    {DPS_LITERAL|DPS_INT, 0, 0, -300},
    {DPS_LITERAL|DPS_INT, 0, 0, -300},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -600},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 22},	/* closepath */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 167},	/* stroke */
    {DPS_LITERAL|DPS_INT, 0, 0, -300},
    {DPS_LITERAL|DPS_INT, 0, 0, -300},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* sa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 107},	/* moveto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 600},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, -600},
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* rsa */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 133},	/* rlineto */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 22},	/* closepath */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 66},	/* fill */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* Encoding */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* .notdef */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 120},	/* put */
    {DPS_LITERAL|DPS_INT, 0, 0, -500},
    {DPS_LITERAL|DPS_INT, 0, 0, -500},
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_LITERAL|DPS_INT, 0, 0, 500},
    {DPS_LITERAL|DPS_REAL, 0, 0, .001},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_REAL, 0, 0, .001},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 55},	/* dtransform */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 137},	/* round */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 137},	/* round */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 83},	/* idtransform */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 172},	/* transform */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0.25},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 169},	/* sub */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 137},	/* round */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0.25},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 1},	/* add */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0.25},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 169},	/* sub */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 137},	/* round */
    {DPS_LITERAL|DPS_REAL, 0, 0, 0.25},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 1},	/* add */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 95},	/* itransform */
    {'d'},
    {'c'},
    {'b'},
    {'a'},
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  static long int _dpsCodes[44] = {-1};
  register int _dps_offset = 1812;
  {
if (_dpsCodes[0] < 0) {
    static const char * const _dps_names[] = {
	"sa",
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	"rsa",
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	"FontName",
	"FontType",
	"FontMatrix",
	"FontBBox",
	"Encoding",
	(char *) 0 ,
	(char *) 0 ,
	(char *) 0 ,
	"Rectfill",
	(char *) 0 ,
	"Rectopen",
	(char *) 0 ,
	"CrossOut",
	(char *) 0 ,
	"CrossIn",
	(char *) 0 ,
	"CharProcs",
	(char *) 0 ,
	(char *) 0 ,
	".notdef",
	(char *) 0 ,
	"BuildChar"};
    long int *_dps_nameVals[44];
    _dps_nameVals[0] = &_dpsCodes[0];
    _dps_nameVals[1] = &_dpsCodes[1];
    _dps_nameVals[2] = &_dpsCodes[2];
    _dps_nameVals[3] = &_dpsCodes[3];
    _dps_nameVals[4] = &_dpsCodes[4];
    _dps_nameVals[5] = &_dpsCodes[5];
    _dps_nameVals[6] = &_dpsCodes[6];
    _dps_nameVals[7] = &_dpsCodes[7];
    _dps_nameVals[8] = &_dpsCodes[8];
    _dps_nameVals[9] = &_dpsCodes[9];
    _dps_nameVals[10] = &_dpsCodes[10];
    _dps_nameVals[11] = &_dpsCodes[11];
    _dps_nameVals[12] = &_dpsCodes[12];
    _dps_nameVals[13] = &_dpsCodes[13];
    _dps_nameVals[14] = &_dpsCodes[14];
    _dps_nameVals[15] = &_dpsCodes[15];
    _dps_nameVals[16] = &_dpsCodes[16];
    _dps_nameVals[17] = &_dpsCodes[17];
    _dps_nameVals[18] = &_dpsCodes[18];
    _dps_nameVals[19] = &_dpsCodes[19];
    _dps_nameVals[20] = &_dpsCodes[20];
    _dps_nameVals[21] = &_dpsCodes[21];
    _dps_nameVals[22] = &_dpsCodes[22];
    _dps_nameVals[23] = &_dpsCodes[23];
    _dps_nameVals[24] = &_dpsCodes[24];
    _dps_nameVals[25] = &_dpsCodes[25];
    _dps_nameVals[26] = &_dpsCodes[26];
    _dps_nameVals[27] = &_dpsCodes[27];
    _dps_nameVals[28] = &_dpsCodes[28];
    _dps_nameVals[29] = &_dpsCodes[29];
    _dps_nameVals[30] = &_dpsCodes[30];
    _dps_nameVals[31] = &_dpsCodes[31];
    _dps_nameVals[32] = &_dpsCodes[32];
    _dps_nameVals[33] = &_dpsCodes[33];
    _dps_nameVals[34] = &_dpsCodes[34];
    _dps_nameVals[35] = &_dpsCodes[35];
    _dps_nameVals[36] = &_dpsCodes[36];
    _dps_nameVals[37] = &_dpsCodes[37];
    _dps_nameVals[38] = &_dpsCodes[38];
    _dps_nameVals[39] = &_dpsCodes[39];
    _dps_nameVals[40] = &_dpsCodes[40];
    _dps_nameVals[41] = &_dpsCodes[41];
    _dps_nameVals[42] = &_dpsCodes[42];
    _dps_nameVals[43] = &_dpsCodes[43];

    DPSMapNames(_dpsCurCtxt, 44, _dps_names, _dps_nameVals);
    }
  }

  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[13].length =
  _dpsP[83].length = strlen(fontname);
  _dpsP[4].val.nameVal = _dpsCodes[0];
  _dpsP[176].val.nameVal = _dpsCodes[1];
  _dpsP[158].val.nameVal = _dpsCodes[2];
  _dpsP[140].val.nameVal = _dpsCodes[3];
  _dpsP[123].val.nameVal = _dpsCodes[4];
  _dpsP[114].val.nameVal = _dpsCodes[5];
  _dpsP[106].val.nameVal = _dpsCodes[6];
  _dpsP[8].val.nameVal = _dpsCodes[7];
  _dpsP[188].val.nameVal = _dpsCodes[8];
  _dpsP[184].val.nameVal = _dpsCodes[9];
  _dpsP[180].val.nameVal = _dpsCodes[10];
  _dpsP[170].val.nameVal = _dpsCodes[11];
  _dpsP[166].val.nameVal = _dpsCodes[12];
  _dpsP[162].val.nameVal = _dpsCodes[13];
  _dpsP[152].val.nameVal = _dpsCodes[14];
  _dpsP[148].val.nameVal = _dpsCodes[15];
  _dpsP[144].val.nameVal = _dpsCodes[16];
  _dpsP[135].val.nameVal = _dpsCodes[17];
  _dpsP[131].val.nameVal = _dpsCodes[18];
  _dpsP[127].val.nameVal = _dpsCodes[19];
  _dpsP[118].val.nameVal = _dpsCodes[20];
  _dpsP[110].val.nameVal = _dpsCodes[21];
  _dpsP[12].val.nameVal = _dpsCodes[22];
  _dpsP[15].val.nameVal = _dpsCodes[23];
  _dpsP[18].val.nameVal = _dpsCodes[24];
  _dpsP[21].val.nameVal = _dpsCodes[25];
  _dpsP[24].val.nameVal = _dpsCodes[26];
  _dpsP[192].val.nameVal = _dpsCodes[27];
  _dpsP[96].val.nameVal = _dpsCodes[28];
  _dpsP[33].val.nameVal = _dpsCodes[29];
  _dpsP[38].val.nameVal = _dpsCodes[30];
  _dpsP[66].val.nameVal = _dpsCodes[31];
  _dpsP[44].val.nameVal = _dpsCodes[32];
  _dpsP[69].val.nameVal = _dpsCodes[33];
  _dpsP[50].val.nameVal = _dpsCodes[34];
  _dpsP[72].val.nameVal = _dpsCodes[35];
  _dpsP[55].val.nameVal = _dpsCodes[36];
  _dpsP[75].val.nameVal = _dpsCodes[37];
  _dpsP[57].val.nameVal = _dpsCodes[38];
  _dpsP[99].val.nameVal = _dpsCodes[39];
  _dpsP[61].val.nameVal = _dpsCodes[40];
  _dpsP[63].val.nameVal = _dpsCodes[41];
  _dpsP[194].val.nameVal = _dpsCodes[42];
  _dpsP[79].val.nameVal = _dpsCodes[43];
  _dpsP[83].val.stringVal = _dps_offset;
  _dps_offset += (_dpsP[83].length + 3) & ~3;
  _dpsP[13].val.stringVal = _dps_offset;
  _dps_offset += (_dpsP[13].length + 3) & ~3;

  _dpsF.nBytes = _dps_offset+8;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,1820);
  DPSWriteStringChars(_dpsCurCtxt, (char *)fontname, _dpsP[83].length);
  DPSWriteStringChars(_dpsCurCtxt, (char *)_dpsCurCtxt, ~(_dpsP[83].length + 3) & 3);
  DPSWriteStringChars(_dpsCurCtxt, (char *)fontname, _dpsP[13].length);
  DPSWriteStringChars(_dpsCurCtxt, (char *)_dpsCurCtxt, ~(_dpsP[13].length + 3) & 3);
}
#line 142 "DrawingViewWraps.psw"


/*
*	Define the image dictionary. Base it off of the NeXTLaser-300
*	dictionary only give it a different transfer function.
*/
#line 913 "DrawingViewWraps.c"
void PSWDefineImageDict(char *dictname)
{
  typedef struct {
    unsigned char tokenType;
    unsigned char sizeFlag;
    unsigned short topLevelCount;
    unsigned long nBytes;

    DPSBinObjGeneric obj0;
    DPSBinObjGeneric obj1;
    DPSBinObjGeneric obj2;
    DPSBinObjGeneric obj3;
    DPSBinObjGeneric obj4;
    DPSBinObjGeneric obj5;
    DPSBinObjGeneric obj6;
    DPSBinObjGeneric obj7;
    DPSBinObjGeneric obj8;
    DPSBinObjGeneric obj9;
    DPSBinObjGeneric obj10;
    DPSBinObjGeneric obj11;
    DPSBinObjGeneric obj12;
    DPSBinObjGeneric obj13;
    DPSBinObjGeneric obj14;
    DPSBinObjGeneric obj15;
    DPSBinObjGeneric obj16;
    DPSBinObjGeneric obj17;
    DPSBinObjGeneric obj18;
    DPSBinObjGeneric obj19;
    DPSBinObjGeneric obj20;
    DPSBinObjGeneric obj21;
    DPSBinObjGeneric obj22;
    DPSBinObjGeneric obj23;
    DPSBinObjGeneric obj24;
    DPSBinObjGeneric obj25;
    DPSBinObjGeneric obj26;
    DPSBinObjGeneric obj27;
    DPSBinObjGeneric obj28;
    DPSBinObjGeneric obj29;
    DPSBinObjGeneric obj30;
    DPSBinObjGeneric obj31;
    DPSBinObjGeneric obj32;
    DPSBinObjGeneric obj33;
    } _dpsQ;
  static const _dpsQ _dpsStat = {
    DPS_DEF_TOKENTYPE, 0, 34, 280,
    {DPS_LITERAL|DPS_INT, 0, 0, 7},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 53},	/* dict */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 56},	/* dup */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 13},	/* begin */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* jobTag */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* colorSpace */
    {DPS_LITERAL|DPS_INT, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* defaultHalftone */
    {DPS_EXEC|DPS_NAME, 0, 0, 0},	/* nextdict */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* NeXTMegaPixelDisplay */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* defaultHalftone */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 75},	/* get */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* samplesPerPixel */
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* bitsPerSample */
    {DPS_LITERAL|DPS_INT, 0, 0, 1},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* initialTransfer */
    {DPS_EXEC|DPS_ARRAY, 0, 0, 272},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_LITERAL|DPS_NAME, 0, 0, 0},	/* isPlanar */
    {DPS_LITERAL|DPS_BOOL, 0, 0, 0},
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 57},	/* end */
    {DPS_LITERAL|DPS_NAME, 0, 0, 272},	/* param dictname */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 62},	/* exch */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 327},	/* readonly */
    {DPS_EXEC|DPS_NAME, 0, DPSSYSNAME, 51},	/* def */
    }; /* _dpsQ */
  _dpsQ _dpsF;	/* local copy  */
  register DPSContext _dpsCurCtxt = DPSPrivCurrentContext();
  register DPSBinObjRec *_dpsP = (DPSBinObjRec *)&_dpsF.obj0;
  static long int _dpsCodes[10] = {-1};
  register int _dps_offset = 272;
  {
if (_dpsCodes[0] < 0) {
    static const char * const _dps_names[] = {
	"jobTag",
	"colorSpace",
	"defaultHalftone",
	(char *) 0 ,
	"nextdict",
	"NeXTMegaPixelDisplay",
	"samplesPerPixel",
	"bitsPerSample",
	"initialTransfer",
	"isPlanar"};
    long int *_dps_nameVals[10];
    _dps_nameVals[0] = &_dpsCodes[0];
    _dps_nameVals[1] = &_dpsCodes[1];
    _dps_nameVals[2] = &_dpsCodes[2];
    _dps_nameVals[3] = &_dpsCodes[3];
    _dps_nameVals[4] = &_dpsCodes[4];
    _dps_nameVals[5] = &_dpsCodes[5];
    _dps_nameVals[6] = &_dpsCodes[6];
    _dps_nameVals[7] = &_dpsCodes[7];
    _dps_nameVals[8] = &_dpsCodes[8];
    _dps_nameVals[9] = &_dpsCodes[9];

    DPSMapNames(_dpsCurCtxt, 10, _dps_names, _dps_nameVals);
    }
  }

  _dpsF = _dpsStat;	/* assign automatic variable */

  _dpsP[30].length = strlen(dictname);
  _dpsP[4].val.nameVal = _dpsCodes[0];
  _dpsP[7].val.nameVal = _dpsCodes[1];
  _dpsP[10].val.nameVal = _dpsCodes[2];
  _dpsP[14].val.nameVal = _dpsCodes[3];
  _dpsP[11].val.nameVal = _dpsCodes[4];
  _dpsP[12].val.nameVal = _dpsCodes[5];
  _dpsP[17].val.nameVal = _dpsCodes[6];
  _dpsP[20].val.nameVal = _dpsCodes[7];
  _dpsP[23].val.nameVal = _dpsCodes[8];
  _dpsP[26].val.nameVal = _dpsCodes[9];
  _dpsP[30].val.stringVal = _dps_offset;
  _dps_offset += (_dpsP[30].length + 3) & ~3;

  _dpsF.nBytes = _dps_offset+8;
  DPSBinObjSeqWrite(_dpsCurCtxt,(char *) &_dpsF,280);
  DPSWriteStringChars(_dpsCurCtxt, (char *)dictname, _dpsP[30].length);
  DPSWriteStringChars(_dpsCurCtxt, (char *)_dpsCurCtxt, ~(_dpsP[30].length + 3) & 3);
}
#line 160 "DrawingViewWraps.psw"



